%%%---------------------------------------
%%% module      : data_market
%%% description : 交易市场配置
%%%
%%%---------------------------------------
-module(data_market).
-compile(export_all).
-include("market.hrl").



%%货架数量
get_config(booth_number) ->
    8;

%%关注上限
get_config(focus_max) ->
    12;

%%基础税率
get_config(tax_rates) ->
    0.1;

%%市场开启等级
get_config(open_lv) ->
    90;

%%竞价增加时间
get_config(buy_time) ->
    60;

%%每页商品数量
get_config(goods_number) ->
    30;

%%系统回购最大上架次数
get_config(sys_buyback_max) ->
    20;

get_config(_Key) ->
    false.

get_sell_type_list() ->
    [0,1,3,6].


get_sell_type_name(0) ->
    <<"职业推荐"/utf8>>;


get_sell_type_name(1) ->
    <<"防具"/utf8>>;


get_sell_type_name(3) ->
    <<"武器"/utf8>>;


get_sell_type_name(6) ->
    <<"材料"/utf8>>;

get_sell_type_name(_Selltype) ->
    false.


get_sub_type_list(0) ->
    [0,1,2,3,4,5,6,7,8,9];


get_sub_type_list(1) ->
    [0,1,2,3,4,5,6];


get_sub_type_list(3) ->
    [1];


get_sub_type_list(6) ->
    [1,2];

get_sub_type_list(_Selltype) ->
    [].

get_sub_type_name(0,0) ->
    <<"全部"/utf8>>;

get_sub_type_name(0,1) ->
    <<"守护材料"/utf8>>;

get_sub_type_name(0,2) ->
    <<"珍品"/utf8>>;

get_sub_type_name(0,3) ->
    <<"武器"/utf8>>;

get_sub_type_name(0,4) ->
    <<"头戴"/utf8>>;

get_sub_type_name(0,5) ->
    <<"上装"/utf8>>;

get_sub_type_name(0,6) ->
    <<"披风"/utf8>>;

get_sub_type_name(0,7) ->
    <<"手套"/utf8>>;

get_sub_type_name(0,8) ->
    <<"下装"/utf8>>;

get_sub_type_name(0,9) ->
    <<"鞋子"/utf8>>;

get_sub_type_name(1,0) ->
    <<"全部"/utf8>>;

get_sub_type_name(1,1) ->
    <<"头戴"/utf8>>;

get_sub_type_name(1,2) ->
    <<"上装"/utf8>>;

get_sub_type_name(1,3) ->
    <<"披风"/utf8>>;

get_sub_type_name(1,4) ->
    <<"手套"/utf8>>;

get_sub_type_name(1,5) ->
    <<"下装"/utf8>>;

get_sub_type_name(1,6) ->
    <<"鞋子"/utf8>>;

get_sub_type_name(3,1) ->
    <<"武器"/utf8>>;

get_sub_type_name(6,1) ->
    <<"守护"/utf8>>;

get_sub_type_name(6,2) ->
    <<"珍品"/utf8>>;

get_sub_type_name(_Selltype,_Sellsubtype) ->
    false.

get_recommend_subtype_list() ->
    [1,2,3,4,5,6,7,8,9].

get_recommend_cfg_list() ->
    [{6,1,{1,6}},{6,2,{1,6}},{3,1,{1,6}},{1,1,{1,6}},{1,2,{1,6}},{1,3,{1,6}},{1,4,{1,6}},{1,5,{1,6}},{1,6,{1,6}}].

%%守护材料
get_recommend_cfg(1) ->
    [{6,1,{1,6}}];

%%珍品
get_recommend_cfg(2) ->
    [{6,2,{1,6}}];

%%武器
get_recommend_cfg(3) ->
    [{3,1,{1,6}}];

%%头戴
get_recommend_cfg(4) ->
    [{1,1,{1,6}}];

%%上装
get_recommend_cfg(5) ->
    [{1,2,{1,6}}];

%%披风
get_recommend_cfg(6) ->
    [{1,3,{1,6}}];

%%手套
get_recommend_cfg(7) ->
    [{1,4,{1,6}}];

%%下装
get_recommend_cfg(8) ->
    [{1,5,{1,6}}];

%%鞋子
get_recommend_cfg(9) ->
    [{1,6,{1,6}}];

get_recommend_cfg(_Id) ->
    [].


get_select_lev_id(1) ->
    1;


get_select_lev_id(2) ->
    2;


get_select_lev_id(3) ->
    3;


get_select_lev_id(4) ->
    4;


get_select_lev_id(5) ->
    5;


get_select_lev_id(6) ->
    6;

get_select_lev_id(_Stage) ->
    0.


get_select_lev(1) ->
    1;


get_select_lev(2) ->
    2;


get_select_lev(3) ->
    3;


get_select_lev(4) ->
    4;


get_select_lev(5) ->
    5;


get_select_lev(6) ->
    6;

get_select_lev(_Id) ->
    999999.

get_goods_log_type(1,1,Color) when 1 =< Color, Color =< 3 ->
		1;
get_goods_log_type(1,2,Color) when 1 =< Color, Color =< 3 ->
		1;
get_goods_log_type(1,3,Color) when 1 =< Color, Color =< 3 ->
		1;
get_goods_log_type(1,4,Color) when 1 =< Color, Color =< 3 ->
		1;
get_goods_log_type(1,5,Color) when 1 =< Color, Color =< 3 ->
		1;
get_goods_log_type(1,6,Color) when 1 =< Color, Color =< 3 ->
		1;
get_goods_log_type(3,1,Color) when 1 =< Color, Color =< 3 ->
		1;
get_goods_log_type(1,1,Color) when 4 =< Color, Color =< 6 ->
		2;
get_goods_log_type(1,2,Color) when 4 =< Color, Color =< 6 ->
		2;
get_goods_log_type(1,3,Color) when 4 =< Color, Color =< 6 ->
		2;
get_goods_log_type(1,4,Color) when 4 =< Color, Color =< 6 ->
		2;
get_goods_log_type(1,5,Color) when 4 =< Color, Color =< 6 ->
		2;
get_goods_log_type(1,6,Color) when 4 =< Color, Color =< 6 ->
		2;
get_goods_log_type(3,1,Color) when 4 =< Color, Color =< 6 ->
		2;
get_goods_log_type(_Sell_type,_Sell_sub_type,_Color) ->
    false.

get_log_type_cfg(1,1) ->
    15;

get_log_type_cfg(1,2) ->
    8;

get_log_type_cfg(1,3) ->
    7;

get_log_type_cfg(2,1) ->
    10;

get_log_type_cfg(2,2) ->
    10;

get_log_type_cfg(2,3) ->
    10;

get_log_type_cfg(3,0) ->
    30;

get_log_type_cfg(_Type,_Logtype) ->
    0.


get_log_type_subtype_list(1) ->
    [1,2,3];


get_log_type_subtype_list(2) ->
    [1,2,3];


get_log_type_subtype_list(3) ->
    [0];

get_log_type_subtype_list(_Type) ->
    [].

get_market_sys_buyback(24101013,Day) when Day >= 1, Day =< 7 ->
	#market_buyback_cfg{goods_id=24101013,open_day_min=1,open_day_max=7,sell_again=1,buyback_time={120,300}};
get_market_sys_buyback(24101023,Day) when Day >= 1, Day =< 7 ->
	#market_buyback_cfg{goods_id=24101023,open_day_min=1,open_day_max=7,sell_again=1,buyback_time={120,300}};
get_market_sys_buyback(24101033,Day) when Day >= 1, Day =< 7 ->
	#market_buyback_cfg{goods_id=24101033,open_day_min=1,open_day_max=7,sell_again=1,buyback_time={120,300}};
get_market_sys_buyback(24101043,Day) when Day >= 1, Day =< 7 ->
	#market_buyback_cfg{goods_id=24101043,open_day_min=1,open_day_max=7,sell_again=1,buyback_time={120,300}};
get_market_sys_buyback(24101053,Day) when Day >= 1, Day =< 7 ->
	#market_buyback_cfg{goods_id=24101053,open_day_min=1,open_day_max=7,sell_again=1,buyback_time={120,300}};
get_market_sys_buyback(24101063,Day) when Day >= 1, Day =< 7 ->
	#market_buyback_cfg{goods_id=24101063,open_day_min=1,open_day_max=7,sell_again=1,buyback_time={120,300}};
get_market_sys_buyback(24101073,Day) when Day >= 1, Day =< 7 ->
	#market_buyback_cfg{goods_id=24101073,open_day_min=1,open_day_max=7,sell_again=1,buyback_time={120,300}};
get_market_sys_buyback(24102013,Day) when Day >= 2, Day =< 14 ->
	#market_buyback_cfg{goods_id=24102013,open_day_min=2,open_day_max=14,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24102023,Day) when Day >= 2, Day =< 14 ->
	#market_buyback_cfg{goods_id=24102023,open_day_min=2,open_day_max=14,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24102033,Day) when Day >= 2, Day =< 14 ->
	#market_buyback_cfg{goods_id=24102033,open_day_min=2,open_day_max=14,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24102043,Day) when Day >= 2, Day =< 14 ->
	#market_buyback_cfg{goods_id=24102043,open_day_min=2,open_day_max=14,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24102053,Day) when Day >= 2, Day =< 14 ->
	#market_buyback_cfg{goods_id=24102053,open_day_min=2,open_day_max=14,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24102063,Day) when Day >= 2, Day =< 14 ->
	#market_buyback_cfg{goods_id=24102063,open_day_min=2,open_day_max=14,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24102073,Day) when Day >= 2, Day =< 14 ->
	#market_buyback_cfg{goods_id=24102073,open_day_min=2,open_day_max=14,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24103013,Day) when Day >= 6, Day =< 18 ->
	#market_buyback_cfg{goods_id=24103013,open_day_min=6,open_day_max=18,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24103023,Day) when Day >= 6, Day =< 18 ->
	#market_buyback_cfg{goods_id=24103023,open_day_min=6,open_day_max=18,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24103033,Day) when Day >= 6, Day =< 18 ->
	#market_buyback_cfg{goods_id=24103033,open_day_min=6,open_day_max=18,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24103043,Day) when Day >= 6, Day =< 18 ->
	#market_buyback_cfg{goods_id=24103043,open_day_min=6,open_day_max=18,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24103053,Day) when Day >= 6, Day =< 18 ->
	#market_buyback_cfg{goods_id=24103053,open_day_min=6,open_day_max=18,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24103063,Day) when Day >= 6, Day =< 18 ->
	#market_buyback_cfg{goods_id=24103063,open_day_min=6,open_day_max=18,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24103073,Day) when Day >= 6, Day =< 18 ->
	#market_buyback_cfg{goods_id=24103073,open_day_min=6,open_day_max=18,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24201013,Day) when Day >= 1, Day =< 7 ->
	#market_buyback_cfg{goods_id=24201013,open_day_min=1,open_day_max=7,sell_again=1,buyback_time={120,300}};
get_market_sys_buyback(24201023,Day) when Day >= 1, Day =< 7 ->
	#market_buyback_cfg{goods_id=24201023,open_day_min=1,open_day_max=7,sell_again=1,buyback_time={120,300}};
get_market_sys_buyback(24201033,Day) when Day >= 1, Day =< 7 ->
	#market_buyback_cfg{goods_id=24201033,open_day_min=1,open_day_max=7,sell_again=1,buyback_time={120,300}};
get_market_sys_buyback(24201043,Day) when Day >= 1, Day =< 7 ->
	#market_buyback_cfg{goods_id=24201043,open_day_min=1,open_day_max=7,sell_again=1,buyback_time={120,300}};
get_market_sys_buyback(24201053,Day) when Day >= 1, Day =< 7 ->
	#market_buyback_cfg{goods_id=24201053,open_day_min=1,open_day_max=7,sell_again=1,buyback_time={120,300}};
get_market_sys_buyback(24201063,Day) when Day >= 1, Day =< 7 ->
	#market_buyback_cfg{goods_id=24201063,open_day_min=1,open_day_max=7,sell_again=1,buyback_time={120,300}};
get_market_sys_buyback(24201073,Day) when Day >= 1, Day =< 7 ->
	#market_buyback_cfg{goods_id=24201073,open_day_min=1,open_day_max=7,sell_again=1,buyback_time={120,300}};
get_market_sys_buyback(24202013,Day) when Day >= 2, Day =< 14 ->
	#market_buyback_cfg{goods_id=24202013,open_day_min=2,open_day_max=14,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24202023,Day) when Day >= 2, Day =< 14 ->
	#market_buyback_cfg{goods_id=24202023,open_day_min=2,open_day_max=14,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24202033,Day) when Day >= 2, Day =< 14 ->
	#market_buyback_cfg{goods_id=24202033,open_day_min=2,open_day_max=14,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24202043,Day) when Day >= 2, Day =< 14 ->
	#market_buyback_cfg{goods_id=24202043,open_day_min=2,open_day_max=14,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24202053,Day) when Day >= 2, Day =< 14 ->
	#market_buyback_cfg{goods_id=24202053,open_day_min=2,open_day_max=14,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24202063,Day) when Day >= 2, Day =< 14 ->
	#market_buyback_cfg{goods_id=24202063,open_day_min=2,open_day_max=14,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24202073,Day) when Day >= 2, Day =< 14 ->
	#market_buyback_cfg{goods_id=24202073,open_day_min=2,open_day_max=14,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24203013,Day) when Day >= 6, Day =< 18 ->
	#market_buyback_cfg{goods_id=24203013,open_day_min=6,open_day_max=18,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24203023,Day) when Day >= 6, Day =< 18 ->
	#market_buyback_cfg{goods_id=24203023,open_day_min=6,open_day_max=18,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24203033,Day) when Day >= 6, Day =< 18 ->
	#market_buyback_cfg{goods_id=24203033,open_day_min=6,open_day_max=18,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24203043,Day) when Day >= 6, Day =< 18 ->
	#market_buyback_cfg{goods_id=24203043,open_day_min=6,open_day_max=18,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24203053,Day) when Day >= 6, Day =< 18 ->
	#market_buyback_cfg{goods_id=24203053,open_day_min=6,open_day_max=18,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24203063,Day) when Day >= 6, Day =< 18 ->
	#market_buyback_cfg{goods_id=24203063,open_day_min=6,open_day_max=18,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(24203073,Day) when Day >= 6, Day =< 18 ->
	#market_buyback_cfg{goods_id=24203073,open_day_min=6,open_day_max=18,sell_again=1,buyback_time={300,1800}};
get_market_sys_buyback(_Goods_id,_Day) ->
    [].

get_sys_supply_goods_list() ->
    [24101013,24101023,24101033,24101043,24101053,24101063,24101073,24102013,24102023,24102033,24102043,24102053,24102063,24102073,24103013,24103023,24103033,24103043,24103053,24103063,24103073,24201013,24201023,24201033,24201043,24201053,24201063,24201073,24202013,24202023,24202033,24202043,24202053,24202063,24202073,24203013,24203023,24203033,24203043,24203053,24203063,24203073].

get_market_sys_sell(24101013,Day) when Day >= 1, Day =< 7 ->
	#market_sys_sell_cfg{goods_id=24101013,open_day_min=1,open_day_max=7,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24101023,Day) when Day >= 1, Day =< 7 ->
	#market_sys_sell_cfg{goods_id=24101023,open_day_min=1,open_day_max=7,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24101033,Day) when Day >= 1, Day =< 7 ->
	#market_sys_sell_cfg{goods_id=24101033,open_day_min=1,open_day_max=7,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24101043,Day) when Day >= 1, Day =< 7 ->
	#market_sys_sell_cfg{goods_id=24101043,open_day_min=1,open_day_max=7,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24101053,Day) when Day >= 1, Day =< 7 ->
	#market_sys_sell_cfg{goods_id=24101053,open_day_min=1,open_day_max=7,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24101063,Day) when Day >= 1, Day =< 7 ->
	#market_sys_sell_cfg{goods_id=24101063,open_day_min=1,open_day_max=7,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24101073,Day) when Day >= 1, Day =< 7 ->
	#market_sys_sell_cfg{goods_id=24101073,open_day_min=1,open_day_max=7,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24102013,Day) when Day >= 2, Day =< 14 ->
	#market_sys_sell_cfg{goods_id=24102013,open_day_min=2,open_day_max=14,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24102023,Day) when Day >= 2, Day =< 14 ->
	#market_sys_sell_cfg{goods_id=24102023,open_day_min=2,open_day_max=14,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24102033,Day) when Day >= 2, Day =< 14 ->
	#market_sys_sell_cfg{goods_id=24102033,open_day_min=2,open_day_max=14,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24102043,Day) when Day >= 2, Day =< 14 ->
	#market_sys_sell_cfg{goods_id=24102043,open_day_min=2,open_day_max=14,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24102053,Day) when Day >= 2, Day =< 14 ->
	#market_sys_sell_cfg{goods_id=24102053,open_day_min=2,open_day_max=14,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24102063,Day) when Day >= 2, Day =< 14 ->
	#market_sys_sell_cfg{goods_id=24102063,open_day_min=2,open_day_max=14,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24102073,Day) when Day >= 2, Day =< 14 ->
	#market_sys_sell_cfg{goods_id=24102073,open_day_min=2,open_day_max=14,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24103013,Day) when Day >= 6, Day =< 18 ->
	#market_sys_sell_cfg{goods_id=24103013,open_day_min=6,open_day_max=18,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24103023,Day) when Day >= 6, Day =< 18 ->
	#market_sys_sell_cfg{goods_id=24103023,open_day_min=6,open_day_max=18,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24103033,Day) when Day >= 6, Day =< 18 ->
	#market_sys_sell_cfg{goods_id=24103033,open_day_min=6,open_day_max=18,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24103043,Day) when Day >= 6, Day =< 18 ->
	#market_sys_sell_cfg{goods_id=24103043,open_day_min=6,open_day_max=18,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24103053,Day) when Day >= 6, Day =< 18 ->
	#market_sys_sell_cfg{goods_id=24103053,open_day_min=6,open_day_max=18,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24103063,Day) when Day >= 6, Day =< 18 ->
	#market_sys_sell_cfg{goods_id=24103063,open_day_min=6,open_day_max=18,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24103073,Day) when Day >= 6, Day =< 18 ->
	#market_sys_sell_cfg{goods_id=24103073,open_day_min=6,open_day_max=18,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24201013,Day) when Day >= 1, Day =< 7 ->
	#market_sys_sell_cfg{goods_id=24201013,open_day_min=1,open_day_max=7,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24201023,Day) when Day >= 1, Day =< 7 ->
	#market_sys_sell_cfg{goods_id=24201023,open_day_min=1,open_day_max=7,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24201033,Day) when Day >= 1, Day =< 7 ->
	#market_sys_sell_cfg{goods_id=24201033,open_day_min=1,open_day_max=7,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24201043,Day) when Day >= 1, Day =< 7 ->
	#market_sys_sell_cfg{goods_id=24201043,open_day_min=1,open_day_max=7,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24201053,Day) when Day >= 1, Day =< 7 ->
	#market_sys_sell_cfg{goods_id=24201053,open_day_min=1,open_day_max=7,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24201063,Day) when Day >= 1, Day =< 7 ->
	#market_sys_sell_cfg{goods_id=24201063,open_day_min=1,open_day_max=7,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24201073,Day) when Day >= 1, Day =< 7 ->
	#market_sys_sell_cfg{goods_id=24201073,open_day_min=1,open_day_max=7,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24202013,Day) when Day >= 2, Day =< 14 ->
	#market_sys_sell_cfg{goods_id=24202013,open_day_min=2,open_day_max=14,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24202023,Day) when Day >= 2, Day =< 14 ->
	#market_sys_sell_cfg{goods_id=24202023,open_day_min=2,open_day_max=14,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24202033,Day) when Day >= 2, Day =< 14 ->
	#market_sys_sell_cfg{goods_id=24202033,open_day_min=2,open_day_max=14,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24202043,Day) when Day >= 2, Day =< 14 ->
	#market_sys_sell_cfg{goods_id=24202043,open_day_min=2,open_day_max=14,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24202053,Day) when Day >= 2, Day =< 14 ->
	#market_sys_sell_cfg{goods_id=24202053,open_day_min=2,open_day_max=14,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24202063,Day) when Day >= 2, Day =< 14 ->
	#market_sys_sell_cfg{goods_id=24202063,open_day_min=2,open_day_max=14,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24202073,Day) when Day >= 2, Day =< 14 ->
	#market_sys_sell_cfg{goods_id=24202073,open_day_min=2,open_day_max=14,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24203013,Day) when Day >= 6, Day =< 18 ->
	#market_sys_sell_cfg{goods_id=24203013,open_day_min=6,open_day_max=18,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24203023,Day) when Day >= 6, Day =< 18 ->
	#market_sys_sell_cfg{goods_id=24203023,open_day_min=6,open_day_max=18,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24203033,Day) when Day >= 6, Day =< 18 ->
	#market_sys_sell_cfg{goods_id=24203033,open_day_min=6,open_day_max=18,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24203043,Day) when Day >= 6, Day =< 18 ->
	#market_sys_sell_cfg{goods_id=24203043,open_day_min=6,open_day_max=18,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24203053,Day) when Day >= 6, Day =< 18 ->
	#market_sys_sell_cfg{goods_id=24203053,open_day_min=6,open_day_max=18,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24203063,Day) when Day >= 6, Day =< 18 ->
	#market_sys_sell_cfg{goods_id=24203063,open_day_min=6,open_day_max=18,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(24203073,Day) when Day >= 6, Day =< 18 ->
	#market_sys_sell_cfg{goods_id=24203073,open_day_min=6,open_day_max=18,trigger_sys_sell_num=6,trigger_num=5,sell_num=5,sell_max_num=30};
get_market_sys_sell(_Goods_id,_Day) ->
    [].

get_max_open_day() -> 18.

get_trigger_sys_sell_num(24101013) -> 6;
get_trigger_sys_sell_num(24101023) -> 6;
get_trigger_sys_sell_num(24101033) -> 6;
get_trigger_sys_sell_num(24101043) -> 6;
get_trigger_sys_sell_num(24101053) -> 6;
get_trigger_sys_sell_num(24101063) -> 6;
get_trigger_sys_sell_num(24101073) -> 6;
get_trigger_sys_sell_num(24102013) -> 6;
get_trigger_sys_sell_num(24102023) -> 6;
get_trigger_sys_sell_num(24102033) -> 6;
get_trigger_sys_sell_num(24102043) -> 6;
get_trigger_sys_sell_num(24102053) -> 6;
get_trigger_sys_sell_num(24102063) -> 6;
get_trigger_sys_sell_num(24102073) -> 6;
get_trigger_sys_sell_num(24103013) -> 6;
get_trigger_sys_sell_num(24103023) -> 6;
get_trigger_sys_sell_num(24103033) -> 6;
get_trigger_sys_sell_num(24103043) -> 6;
get_trigger_sys_sell_num(24103053) -> 6;
get_trigger_sys_sell_num(24103063) -> 6;
get_trigger_sys_sell_num(24103073) -> 6;
get_trigger_sys_sell_num(24201013) -> 6;
get_trigger_sys_sell_num(24201023) -> 6;
get_trigger_sys_sell_num(24201033) -> 6;
get_trigger_sys_sell_num(24201043) -> 6;
get_trigger_sys_sell_num(24201053) -> 6;
get_trigger_sys_sell_num(24201063) -> 6;
get_trigger_sys_sell_num(24201073) -> 6;
get_trigger_sys_sell_num(24202013) -> 6;
get_trigger_sys_sell_num(24202023) -> 6;
get_trigger_sys_sell_num(24202033) -> 6;
get_trigger_sys_sell_num(24202043) -> 6;
get_trigger_sys_sell_num(24202053) -> 6;
get_trigger_sys_sell_num(24202063) -> 6;
get_trigger_sys_sell_num(24202073) -> 6;
get_trigger_sys_sell_num(24203013) -> 6;
get_trigger_sys_sell_num(24203023) -> 6;
get_trigger_sys_sell_num(24203033) -> 6;
get_trigger_sys_sell_num(24203043) -> 6;
get_trigger_sys_sell_num(24203053) -> 6;
get_trigger_sys_sell_num(24203063) -> 6;
get_trigger_sys_sell_num(24203073) -> 6;
get_trigger_sys_sell_num(_Goods_id) -> false.

